Skip to content

getReturnableEntitiesForReceiptLine

READ

The Available tracked entities that came in on ONE receipt line, for the item.

POST /api/v1/purchasing/getReturnableEntitiesForReceiptLine
curl -X POST '<your-host>/api/v1/purchasing/getReturnableEntitiesForReceiptLine' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "itemId": "string",
    "receiptLineId": "string"
  }'
Response
{
  "results": [
    {
      "id": "string",
      "readableId": "string",
      "quantity": 0,
      "status": "Rejected"
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "itemId": {
      "type": "string"
    },
    "receiptLineId": {
      "type": "string"
    }
  },
  "required": [
    "itemId",
    "receiptLineId"
  ]
}